[arch-commits] Commit in libxprintutil/repos (3 files)

Jan de Groot jgc at archlinux.org
Tue Jul 8 13:29:42 EDT 2008


    Date: Tuesday, July 8, 2008 @ 13:29:42
  Author: jgc
Revision: 4670

Fix conflicts

Added:
  libxprintutil/repos/extra-x86_64/COPYING
    (from rev 4669, libxprintutil/trunk/COPYING)
Modified:
  libxprintutil/repos/extra-x86_64/	(properties)
  libxprintutil/repos/extra-x86_64/PKGBUILD

----------+
 COPYING  |   23 +++++++++++++++++++++++
 PKGBUILD |   25 +++++++++++++------------
 2 files changed, 36 insertions(+), 12 deletions(-)


Property changes on: libxprintutil/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /libxprintutil/trunk:1
   + /libxprintutil/trunk:1-4669

Copied: libxprintutil/repos/extra-x86_64/COPYING (from rev 4669, libxprintutil/trunk/COPYING)
===================================================================
--- extra-x86_64/COPYING	                        (rev 0)
+++ extra-x86_64/COPYING	2008-07-08 17:29:42 UTC (rev 4670)
@@ -0,0 +1,23 @@
+(c) Copyright 2001-2004 Roland Mainz <roland.mainz at nrubsig.org>
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the names of the copyright holders shall
+not be used in advertising or otherwise to promote the sale, use or other
+dealings in this Software without prior written authorization from said
+copyright holders.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-08 17:26:23 UTC (rev 4669)
+++ extra-x86_64/PKGBUILD	2008-07-08 17:29:42 UTC (rev 4670)
@@ -3,23 +3,24 @@
 
 pkgname=libxprintutil
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 X Print Utility Library"
-arch=(i686 x86_64)
+arch=('x86_64' 'i686')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('libxp' 'libxt')
 makedepends=('pkgconfig')
-_xorg=X11R7.0
-_relname=libXprintUtil
-source=(${url}/releases/${_xorg}/src/everything/${_relname}-${_xorg}-${pkgver}.tar.bz2)
-md5sums=('47f1863042a53a48b40c2fb0aa55a8f7')
+options=('!libtool')
+source=(${url}/releases/individual/lib/libXprintUtil-${pkgver}.tar.bz2
+	COPYING)
+md5sums=('22584f1aab1deba253949b562d1f0f45'
+         '7ef441428ac0d885c9fc2fefd59a1c63')
 
 build() {
-  cd ${startdir}/src/${_relname}-${_xorg}-${pkgver}
-  ./configure --prefix=/usr \
-              --host=${CHOST} --build=${CHOST}
+  cd ${srcdir}/libXprintUtil-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  find ${startdir}/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 ${srcdir}/COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list